
QGIS Application - Bug report #18158

Unloading Processing doesn't remove its entries from the Vector and Raster menus.  

2018-02-20 02:07 PM - Borys Jurgiel

Status: Closed

Priority: Low

Assignee: Victor Olaya

Category: Processing/GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 26051

Description

Once Processing plugin is unloaded (manually in the Plugin Manager), the default menu entries it created in the Vector and Raster menus

are still visible.

History

#1 - 2018-02-20 06:54 PM - Alexander Bruy

- Status changed from Open to Feedback

Not reproducible with e3fbb4c. When I unload Processing all groups removed from Vector and Raster menus. Or you mean top-level menus itself? AFAIK

they should not be removed.

#2 - 2018-02-20 08:07 PM - Borys Jurgiel

Hmm, strange... It depends on whether Processing was loaded during QGIS startup, or was activated later in the Plugin manager.

If you open QGIS with Processing enabled and then disable it, it works fine. 

But if you open QGIS with Processing disabled, then enable it and disable again, all the groups remain.

In this case the ticket seems to be yet lower priority. Feel free to close it unless you want to investigate it further some day.

#3 - 2018-02-20 11:58 PM - Richard Duivenvoorde

Borys, I just tried, but cannot reproduce your case.

#4 - 2018-02-21 12:35 AM - Borys Jurgiel

Nevermind. Nobody is expected to turn Processing on and off ;) so it's mainly to let Alex & Victor know the strange behaviour on load. Maybe it will help

some day in case of more serious bugs.

#5 - 2018-02-21 08:58 AM - Alexander Bruy

Borys Jurgiel wrote:

If you open QGIS with Processing enabled and then disable it, it works fine. 
But if you open QGIS with Processing disabled, then enable it and disable again, all the groups remain.

Hmm, I still can not reproduce it with today's master cb17e22.

I started QGIS with clean profile, Processing is enabled by default and menus are there. Then I unloaded Processing with Plugin Manager and all menu

entries added by Processing were removed. Closed QGIS and started it again. Processing disabled now and there are no menus. If it is enabled in the

Plugin Manager, menus added. Disabling Processing again also remove menus.

#6 - 2018-02-21 09:05 AM - Alexander Bruy

But I found another issue (probably local), see #18162

#7 - 2018-02-21 10:21 AM - Borys Jurgiel

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Ok, forget about it. After dozens of tests it seems very random. In most cases they are not cleared, but sometimes they are.

I cant't find any relation. Now it doesn't matter if the Processing was enabled at start or not. A few minutes ago I was pretty sure the difference is whether

you display (fold down) the menus prior to disabling Processing or not, but finally didn't confirm.

Maybe the reason is just KDE 5 @ Buster :)
